Subject: bug#15154: 24.3; Various GTK warnings on debian jessie/sid

From: [email-masked]
Date: Thu, 22 Aug 2013 12:22:25 +0200

Tim Van Holder <[email-masked]> writes:

> I typically run emacs via a ssh (PuTTY) session, using the
> Cygwin X server.
> Emacs was built from sources (24.3 release tarball), with GTK2
> auto-selected as X toolkit (even though it apparently uses GTK3).
>
> Starting emacs (-Q or otherwise), results in:
>
> ** (emacs:<pid>): WARNING **: Couldn't connect to accessibility bus:
> Failed to connect to socket /tmp/dbus-OfJcFmA1Hb: Connection
> refused
>
> Given that I explicitly disabled DBus stuff (to avoid dbus-launch
> processes that would prevent a clean ssh exit) when building emacs,
> this
> is already a bit odd. There is no such entry in /tmp (in fact there
> are
> no /tmp/dbus-* files at all), nor is there any envvar containing
> OfJcFmA1Hb.

That's not because of Emacs and its D-Bus integration. Linked GTK try to
connect to at-spi (Assistive Technology Service Provider Interface).

Check your Gnome configuration how to disable it. I suspect you must
disable /desktop/gnome/interface/at-spi-dbus, but I don't know it for
sure. You might check your settings with 

# gconftool-2 --get /desktop/gnome/interface/at-spi-dbus

Best regards, Michael.